Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 19/05/2013, à 17:07

Linking13

La logithèque Ubuntu ne fonctionne plus

Plop!

J'ai un petit problème sous Ubuntu 13.04 : lorsque j'ouvre le software center, ce dernier s'ouvre, puis se referme aussitôt. Je peux toujours installer des bidules à partir du terminal, mais bon, sachant que je suis passé de Debian Wheezy à Ubuntu 13.04 en partie parce que le software center me manquait, c'est un peu embêtant tongue

J'ai lancé le software center à partir d'un terminal, juste pour voir si ça allait me retourner des messages d'erreurs, des exceptions... Des erreurs sont en effet balancées, mais cela ne m'aide pas vraiment.

bastien@HAL9000:~$ software-center
2013-05-19 17:01:51,783 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2013-05-19 17:01:52,360 - softwarecenter.region - WARNING - failed to use geoclue: 'org.freedesktop.Geoclue.Error.notAvailable: Geoclue master client has no usable Address providers'
2013-05-19 17:01:52,609 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2013-05-19 17:01:52,611 - softwarecenter.plugin - INFO - activating plugin '<module 'webapps_activation' from '/usr/share/software-center/softwarecenter/plugins/webapps_activation.pyc'>'
2013-05-19 17:01:52,615 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2013-05-19 17:01:52,615 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2013-05-19 17:01:52,652 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()

(software-center:14192): Gdk-ERROR **: The program 'software-center' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadDrawable (invalid Pixmap or Window parameter)'.
  (Details: serial 2328 error_code 9 request_code 62 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trappe pour point d'arrêt et de trace (core dumped)

J'ai réinstallé le software-center en lançant les commandes suivantes, aucun changement, le software-center plante toujours quand je le lance.

sudo apt-get remove --purge software-center
sudo apt-get install software-center

Je précise que le software-center fonctionnait parfaitement quand j'ai installé la 13.04 sur ma bécane. Jusqu'à maintenant, je n'ai pas fait énormément de changements sur mon OS depuis l'install, mis à part installer Gnome 3.8 et quelques extensions pour ce dernier. Cependant, le software center plante tout autant quand je me log en choisissant Unity comme DE...

En remerciant d'avance les personnes qui sauront éclairer ma lanterne smile

Hors ligne

#2 Le 23/05/2013, à 11:33

Linking13

Re : La logithèque Ubuntu ne fonctionne plus

Je me permets un up... :0

Hors ligne

#3 Le 23/05/2013, à 12:03

Compte anonymisé

Re : La logithèque Ubuntu ne fonctionne plus

Salut

Et que donne un :
sudo  software-center

@+

Dernière modification par Compte anonymisé (Le 23/05/2013, à 12:03)

#4 Le 23/05/2013, à 18:12

Tuxmouraille

Re : La logithèque Ubuntu ne fonctionne plus


Le support d'Optimus pour Linux.
Ubuntu 18.04 64 bits, portable ASUS N53SN-SZ161V, Intel® Core™ i5-2410M @ 2.30GHz, 8080MB SODIM Ram, NVIDIA® GeForce™ GT 550M

Hors ligne

#5 Le 23/05/2013, à 22:26

Linking13

Re : La logithèque Ubuntu ne fonctionne plus

J'étais déjà allé sur cette page, aucune des solutions proposées dans les commentaires n'avait fonctionné pour moi.

J'ai fait une maj aujourd'hui, mon software center remarche. C'était apparemment un problème récurrent avec Gnome 3.8 et la 13.04, qui a vraisemblablement été corrigé avec la maj que j'ai faite.

Hors ligne

#6 Le 24/05/2013, à 18:38

Tuxmouraille

Re : La logithèque Ubuntu ne fonctionne plus

C'était pour pas que tu te sente seul et pour ceux qui passeraient par là sachent que c'est un bug qui a été reporté.


Le support d'Optimus pour Linux.
Ubuntu 18.04 64 bits, portable ASUS N53SN-SZ161V, Intel® Core™ i5-2410M @ 2.30GHz, 8080MB SODIM Ram, NVIDIA® GeForce™ GT 550M

Hors ligne

#7 Le 14/04/2014, à 14:17

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Bonjour à tous,

j'ai moi aussi un bug (assombrissement et obligation de fermeture) après ouverture graphique de la logithèque ou en cliquant sur un lien ou un fichier d'instal.

la commande sudo software-center me donne :

sudo software-center
[sudo] password for manu: 
2014-04-14 14:14:46,731 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2014-04-14 14:14:47,302 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2014-04-14 14:14:47,304 - softwarecenter.plugin - INFO - activating plugin '<module 'webapps_activation' from '/usr/share/software-center/softwarecenter/plugins/webapps_activation.pyc'>'
2014-04-14 14:14:47,310 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2014-04-14 14:14:47,310 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2014-04-14 14:14:47,383 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()
2014-04-14 14:14:49,444 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/software-center/softwarecenter/utils.py', 271, 'get_title_from_html')'
2014-04-14 14:14:49,444 - root - WARNING - failed to parse: '<div style="background-color: #161513; width:1680px; height:200px;">
 <div style="background: url('/site_media/exhibits/2013/09/AAMFP_Leaderboard_700x200_1.jpg') top left no-repeat; width:700px; height:200px;"></div>
</div>' ('ascii' codec can't encode character u'\xa0' in position 70: ordinal not in range(128))
2014-04-14 14:14:49,445 - softwarecenter.ui.gtk3.views.lobbyview - WARNING - skipping exhibit for: 'u'amnesia-amfp'' not available
2014-04-14 14:14:49,452 - softwarecenter.ui.gtk3.widgets.exhibits - WARNING - download failed: '<class 'gi._glib.GError'>', 'Opération non prise en charge'

et le téléchargement des mises à jour semble également poser pbs : sûrement un rapport entre les deux !
Merci d'avance


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#8 Le 19/04/2014, à 13:53

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Est ce que quelqu'un pourrait m'éclairer là dessus ?

Merci d'avance et très bon we ensoleillé !

Manu


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#9 Le 31/05/2014, à 22:57

Manush

Re : La logithèque Ubuntu ne fonctionne plus

heu, personne n'aurait une petite idée ?
@ +


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#10 Le 01/06/2014, à 18:00

alca94

Re : La logithèque Ubuntu ne fonctionne plus

@ Manush
bonjour
que retourne

cat /etc/lsb-release && uname -a

POUR METTRE LES RETOURS DU "TERMINAL"  voir les explications sur ce post
https://forum.ubuntu-fr.org/viewtopic.p … #p17345641

Hors ligne

#11 Le 02/06/2014, à 12:14

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Salut et merci Alca94 :
ça me donne :

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=13.04
DISTRIB_CODENAME=raring
DISTRIB_DESCRIPTION="Ubuntu 13.04"
Linux Samusung-Emmanuel 3.8.0-35-generic #50-Ubuntu SMP Tue Dec 3 01:25:33 UTC 2013 i686 i686 i686 GNU/Linux

et je ne sais pas si c'est lié mais j'ai par ailleurs une erreur sur les mises à jour  "le téléchargement des informations du dépôt à échoué, vérifier votre connexion internet alors que je n'ai pas de pbs pour aller sur internet...


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#12 Le 02/06/2014, à 12:50

alca94

Re : La logithèque Ubuntu ne fonctionne plus

la 13.04 n'est plus en service depuis janvier 2014  ,ça vient de ça ---> passer en 13.10 (qui ne plus en service en juillet 2014) ou carrément réinstaller la 14.04 (2019)
http://fr.wikipedia.org/wiki/Liste_des_ … s_versions


POUR METTRE LES RETOURS DU "TERMINAL"  voir les explications sur ce post
https://forum.ubuntu-fr.org/viewtopic.p … #p17345641

Hors ligne

#13 Le 02/06/2014, à 20:46

Manush

Re : La logithèque Ubuntu ne fonctionne plus

ha c'est pour cela mais je pensais qu'il était possible d'utiliser la version encore un moment !!! moi qui expliquais aux gens que j'installais qu'ils n'auraient pas à bricoler leur machine toutes les 5 minutes comme avec wind...

je ne serais pas forcément contre passer à la suite mais j'aimerais juste upgrader sans tout réinstaller parceque j'ai fait un installation particulière entre un HDD et un SSD

comment puis je faire ?


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#14 Le 02/06/2014, à 21:55

alca94

Re : La logithèque Ubuntu ne fonctionne plus

normalement dans vos sources de logiciel si vous avez sélectionner = Me prévenir etc ......= Pour toutes les versions
Cela devrait vous être proposé pour passer a la 13.10 ,regardez dans (sauf pour kubuntu)

software-properties-gtk

moi qui expliquais aux gens que j'installais qu'ils n'auraient pas à bricoler leur machine toutes les 5 minutes comme avec wind...

il aurait fallu pour cela leur installé une version LTS (12.04 ou maintenant la 14.04 (maintenues 5 ans)


POUR METTRE LES RETOURS DU "TERMINAL"  voir les explications sur ce post
https://forum.ubuntu-fr.org/viewtopic.p … #p17345641

Hors ligne

#15 Le 05/06/2014, à 17:49

Manush

Re : La logithèque Ubuntu ne fonctionne plus

ha ok entendu je vais faire ça .

Merci bien et bon continuation à toi !


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#16 Le 05/06/2014, à 17:57

jplemoine

Re : La logithèque Ubuntu ne fonctionne plus

Manush a écrit :

moi qui expliquais aux gens que j'installais qu'ils n'auraient pas à bricoler leur machine toutes les 5 minutes comme avec wind...

Oui si tu utilises les LTS (Long Term Support) --> il y en a une tous les 2 ans mais elles sont supportées 5 ans.
Donc,
- Soit tu es tranquille pendant 2 ans et tu fais un saut d'une à l'autre.
- Soit tu sautes une LTS mais tu réinstalles au bout de 4 ans !!!

En ce moment, la dernière version est la 14.04 qui est une LTS

Pour plus d'infos, tu peux aller voir cette page.


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#17 Le 10/09/2014, à 21:21

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Bonjour,
je relance ce fil car je prends enfin le temps de faire une mise à niveau de ma version 13.04 à la version 14.04

mais problème impossible de faire la mise à niveau le gestionnaire de mise à jour m'indique : "le téléchargement des informations du dépôt à échoué" vérifier votre connexion internet. . .

D'après ce que je vois dans les différents posts cela pourrait venir d'un problème de logiciels installés à partir de ppa non soutenus...

est ce quelqu'un pourrait m'aider là dessus ?

Pour info :

manu@Samusung-Emmanuel:~$ ls /etc/apt/sources.list.d/
excid3-ppa-raring.list          ole_wolf-rarcrack-raring.list.save
excid3-ppa-raring.list.save     paul-climbing-ppa-raring.list
jfi-ppa-raring.list             paul-climbing-ppa-raring.list.save
jfi-ppa-raring.list.save        scribus-ppa-raring.list
noobslab-apps-raring.list       scribus-ppa-raring.list.save
noobslab-apps-raring.list.save  ubuntugis-ubuntugis-unstable-raring.list
ole_wolf-rarcrack-raring.list   ubuntugis-ubuntugis-unstable-raring.list.save
manu@Samusung-Emmanuel:~$ sudo apt-get install -f
[sudo] password for manu: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
manu@Samusung-Emmanuel:~$ sudo apt-get upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Merci d'avance

Cdlt

Manu


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#18 Le 10/09/2014, à 21:35

cqfd93

Re : La logithèque Ubuntu ne fonctionne plus

Bonjour,

Manush a écrit :

je relance ce fil car je prends enfin le temps de faire une mise à niveau de ma version 13.04 à la version 14.04

mais problème impossible de faire la mise à niveau le gestionnaire de mise à jour m'indique : "le téléchargement des informations du dépôt à échoué" vérifier votre connexion internet. . .

D'après ce que je vois dans les différents posts cela pourrait venir d'un problème de logiciels installés à partir de ppa non soutenus...

est ce quelqu'un pourrait m'aider là dessus ?

Le problème, c'est que 13.04 et 14.04 sont séparées par 13.10 qui n'est plus supportée non plus. Ta seule solution est une installation complète de 14.04.1, après avoir testé en live et sauvegardé tes documents évidemment.


cqfd93

Hors ligne

#19 Le 10/09/2014, à 21:42

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Oui je vois mais le pb c'est que j'ai bien eu du mal installer cette version (voir ici http://forum.ubuntu-fr.org/viewtopic.php?id=1307981  http://forum.ubuntu-fr.org/viewtopic.php?id=1355511) et que j'ai peur de ne pas réussir à le refaire car le grub semble poser pb et ne semble plus me laisser booter sur une live usb.
Au démarrage (même en mettant l'usb en 1er dans l'ordre du bot menu), j'ai une erreur fichier  "boot/grub/i386-pc/vfat.mod" non disponible et no such device : 252A-5135.

j'arrive cependant (ce qui est curieux) à booter sur une autre clé live usb surlaquelle j'ai installé Emmabuntüs 2 à partir de Unetbootin. avec celle ci l'interface de Unetbootin apparait et me propose différentes options et notamment d'installer Emmabuntüs...

Ne serait il pas possible de faire une mise à niveau vers 13.10 puis vers 14.04 ?

ou alors la seule solution serait elle de finalement migrer sur Emmabuntüs ?

Je dois partir (pas sur ma connexion) mais merci d'avance pour votre aide.

Cdlt

Manu

Dernière modification par Manush (Le 10/09/2014, à 22:09)


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#20 Le 10/09/2014, à 22:19

cqfd93

Re : La logithèque Ubuntu ne fonctionne plus

Ce n'est pas grub qui empêche de démarrer un live usb, c'est le bios. Explore ton bios avec la clé branchée et vois si par hasard elle n'est pas détectée comme un disque dur et listée comme telle.

La clé qui ne boote pas est peut-être défectueuse.

Sinon, un ssd de 16 Go, de nos jours, c'est léger ! Tu as quoi comme disque dur interne ? D'ailleurs, ça serait bien si tu donnais les caractéristiques de ta machine.

Ne serait il pas possible de faire une mise à niveau vers 13.10 puis vers 14.04 ?

Non !

ou alors la seule solution serait elle de finalement migrer sur Emmabuntüs ?

Pas forcément.


cqfd93

Hors ligne

#21 Le 11/09/2014, à 09:06

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Merci Cqfd93,

je crois avoir un pb de clé usb car j'ai réussi à créer une nouvelle live usb de 14.04 (à partir de Unetbootin) sur laquelle il semble possible de démarrer, je vais tenter une nouvelle installation.

En ce qui concerne les caractéristiques de la machine :

3,8 go Ram
Processeur : Intel® Core™ i5-2467M CPU @ 1.60GHz × 2
Carte graphique  : Intel® Sandybridge Mobile x86/MMX/SSE2
Après c'est au niveau du disque dur que c'est un peu bancale justement car il y a un HDD de 500 go (environ) sur lequel "une puce équivalent à du SSD" est gréffée pour (à la base sous windows" améliorer les performances juste en gérant le cache.
De mon côté lors de la dernière instal j'ai fait le choix d'installer comme suit :
HDD 500 go :
-/dev/sda5 en Swap de 4 go
-/dev/sda6 monté sur /var
-/dev/sda7 monté en /home

"Puce ATA San DiskISSD P4 de 16 go" :
-/dev/sdb1 partition bootable
-/dev/sdb5 montée sur Racine du système de fichiers

Cette configuration est assez performante, le seul pb c'est que ça a tendance à chauffer un peu mais je crois que "c'est la maladie de ces machines samsung hybride"...

je ne sais pas au final si c'est pertinent d'utiliser la puce ISSD comme cela

Est ce que quelqu'un verrais une meilleure façon de faire pour cette nouvelle instal ?

Merci

Dernière modification par Manush (Le 11/09/2014, à 14:53)


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#22 Le 11/09/2014, à 15:06

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Re-bonjour,

ça a l'air maintenant possible de réinstallé avec une live-usb 14.04 mais est ce quelqu'un pourrait me conseiller sur la manière de partitionner mon HDD et la puce pour exploiter au mieux le matériel ?

Voici des impecran des deux supports :

ATA San Disk ISSD P4 16 Go

Hitachi 500 Go


J'ai un peu peur de ma rater sur ce coup là


Cdlt

Dernière modification par Manush (Le 11/09/2014, à 15:09)


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne

#23 Le 18/09/2014, à 13:19

Manush

Re : La logithèque Ubuntu ne fonctionne plus

Si cela peut servir j'ai réussi à réinstaller

voir ici : http://forum.ubuntu-fr.org/viewtopic.php?id=1033051&p=2


Config : 15.04 sur Samsung samsung np530uE3B avec HDD 500 go et Puce ATA San DiskISSD P4 de 16 go / Lubuntu sur Macbook

Hors ligne